Voro++

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
common.hh File Reference

Header file for the small helper functions. More...

`#include <cstdio>`
`#include <cstdlib>`
`#include <vector>`
`#include "config.hh"`

Go to the source code of this file.

## Functions
void | voro::voro_fatal_error (const char *p, int status)
| Function for printing fatal error messages and exiting. More...
void | voro::voro_print_positions (std::vector< double > &v, FILE *fp=stdout)
| Prints a vector of positions. More...
FILE * | voro::safe_fopen (const char *filename, const char *mode)
| Opens a file and checks the operation was successful. More...
void | voro::voro_print_vector (std::vector< int > &v, FILE *fp)
| Prints a vector of integers. More...
void | voro::voro_print_vector (std::vector< double > &v, FILE *fp)
| Prints a vector of doubles. More...
void | voro::voro_print_face_vertices (std::vector< int > &v, FILE *fp)
| Prints a vector a face vertex information. More...